import request from '@/config/axios'
import type { Dayjs } from 'dayjs';

/** 国际化错误提醒配置信息 */
export interface I18nMessage {
          id: number; // 主键 id
          code?: string; // 错误代码
          locale?: string; // 地区
          message?: string; // 错误提醒
  }

// 国际化错误提醒配置 API
export const I18nMessageApi = {
  // 查询国际化错误提醒配置分页
  getI18nMessagePage: async (params: any) => {
    return await request.get({ url: `/keyboard/I18n-message/page`, params })
  },

  // 查询国际化错误提醒配置详情
  getI18nMessage: async (id: number) => {
    return await request.get({ url: `/keyboard/I18n-message/get?id=` + id })
  },

  // 新增国际化错误提醒配置
  createI18nMessage: async (data: I18nMessage) => {
    return await request.post({ url: `/keyboard/I18n-message/create`, data })
  },

  // 修改国际化错误提醒配置
  updateI18nMessage: async (data: I18nMessage) => {
    return await request.put({ url: `/keyboard/I18n-message/update`, data })
  },

  // 删除国际化错误提醒配置
  deleteI18nMessage: async (id: number) => {
    return await request.delete({ url: `/keyboard/I18n-message/delete?id=` + id })
  },

  /** 批量删除国际化错误提醒配置 */
  deleteI18nMessageList: async (ids: number[]) => {
    return await request.delete({ url: `/keyboard/I18n-message/delete-list?ids=${ids.join(',')}` })
  },

  // 导出国际化错误提醒配置 Excel
  exportI18nMessage: async (params) => {
    return await request.download({ url: `/keyboard/I18n-message/export-excel`, params })
  }
}